Problem with mib-64-basic repo (2011)

Discussioni e feedback su pacchetti e repository MIB
Post Reply
User avatar
andre
Utente junior
Utente junior
Posts: 39
Joined: 5 November 2011, 15:49
OpenMandriva: 2010.2 (2010.3)
Kernel: 3.2.20-nrj-desktop-1
Desktop: kde4.8.4
country: France

Problem with mib-64-basic repo (2011)

Post by andre »

Hello !

There is a problem with vlc in the 64 bits basic repository :

urpmq --sources vlc | grep mib
http://mib.pianetalinux.org/MIB/2011.0/ ... x86_64.rpm
http://mib.pianetalinux.org/MIB/2011.0/ ... x86_64.rpm

So the updates are :

urpmq --auto-select
lib64mtp9
libmtp-utils

But it seems to depend on the vlc 1.1.12 version so finaly ( after intenting uninstall Amarok, Clementine and so on if you are answering yes to all questions ) the update is impossible :

Pour satisfaire les dépendances, les paquetages suivants vont être installés :
Paquetage Version Révision Dist DEpoch Arch
(média « Main Backports64 »)
lib64mtp9 1.1.2 2 mdv 2011.0 x86_64
libmtp-utils 1.1.2 2 mdv 2011.0 x86_64
un espace de 58Mo sera libéré.
Procéder à l'installation des 2 paquetages ? (O/n) O

installation de lib64mtp9-1.1.2-2-mdv2011.0.x86_64.rpm libmtp-utils-1.1.2-2-mdv2011.0.x86_64.rpm depuis /var/cache/urpmi/rpms
L'installation a échoué :
vlc-plugin-common est requis par (installé) vlc-1.1.13-69.1mib.x86_64
error while checking dependencies

L'installation a échoué : vlc-plugin-common est requis par (installé) vlc-1.1.13-69.1mib.x86_64
error while checking dependencies

Why two versions of vlc in the repository ?

A very beautifull conflict ? ;-)
Ne lâchez rien.

André

User avatar
NicCo
Amministratore
Amministratore
Posts: 4738
Joined: 6 December 2007, 19:54

Re: Problem with mib-64-basic repo (2011)

Post by NicCo »

You could try first removing all 1.1.12 vlc files, then installing new vlc 1.1.13 using the metapackage (task-vlc)

Code: Select all

urpme -a vlc
urpmi task-vlc
ASAP old vlc should be removed if causing some problems to the updates

bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
andre
Utente junior
Utente junior
Posts: 39
Joined: 5 November 2011, 15:49
OpenMandriva: 2010.2 (2010.3)
Kernel: 3.2.20-nrj-desktop-1
Desktop: kde4.8.4
country: France

Re: Problem with mib-64-basic repo (2011)

Post by andre »

I have no vlc 1.1.12 but task-vlc installed

Code: Select all

urpmi --auto-select
Le paquetage demandé ne peut pas être installé :
vlc-plugin-common-1.1.12-69.1mib-mib2011.0.x86_64 (afin de garder vlc-plugin-common-1.1.13-69.1mib-mib2011.0.x86_64)
Why does it want to install vlc-plugin-common-1.1.2 whith lib64mtp9 and
libmtp-utils that's the question !

Code: Select all

urpmq --requires  libmtp-utils
libmtp-utils: lib64mtp8[== 1.0.6-2]
libmtp-utils: libc.so.6()(64bit)
libmtp-utils: libc.so.6(GLIBC_2.2.5)(64bit)
libmtp-utils: libc.so.6(GLIBC_2.3.4)(64bit)
libmtp-utils: libc.so.6(GLIBC_2.4)(64bit)
libmtp-utils: libmtp.so.8()(64bit)
libmtp-utils: lib64mtp9[== 1.1.2-2]
libmtp-utils: libc.so.6()(64bit)
libmtp-utils: libc.so.6(GLIBC_2.2.5)(64bit)
libmtp-utils: libc.so.6(GLIBC_2.3.4)(64bit)
libmtp-utils: libc.so.6(GLIBC_2.4)(64bit)
libmtp-utils: libmtp.so.9()(64bit)
urpmq --requires  lib64mtp9
libmtp-utils[>= 1.1.2-2]
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libusb-1.0.so.0()(64bit)
Ne lâchez rien.

André

User avatar
andre
Utente junior
Utente junior
Posts: 39
Joined: 5 November 2011, 15:49
OpenMandriva: 2010.2 (2010.3)
Kernel: 3.2.20-nrj-desktop-1
Desktop: kde4.8.4
country: France

Re: Problem with mib-64-basic repo (2011)

Post by andre »

Sorry !

These two rpms (libmtp-utils-1.1.2, lib64mtp9-1.1.2) are backports from mandriva, so the problem is not in mib repository.

Code: Select all

urpmq --sources  lib64mtp9-1.1.2 libmtp-utils-1.1.2
ftp://ftp.free.fr/mirrors/ftp.mandriva.com/MandrivaLinux/official/2011/x86_64/media/main/backports/lib64mtp9-1.1.2-2-mdv2011.0.x86_64.rpm
ftp://ftp.free.fr/mirrors/ftp.mandriva.com/MandrivaLinux/official/2011/x86_64/media/main/backports/libmtp-utils-1.1.2-2-mdv2011.0.x86_64.rpm
:?
Ne lâchez rien.

André

User avatar
NicCo
Amministratore
Amministratore
Posts: 4738
Joined: 6 December 2007, 19:54

Re: Problem with mib-64-basic repo (2011)

Post by NicCo »

you can try to stop installation of some rpm file, simply putting its name into skip.list

/etc/urpmi/skip.list

fo example adding

vlc-plugin-common


saving, so the two libs should not require vlc-plugin-common, at least, I hope

or adding to skip.list the two libs, with their names

libmtp-utils
lib64mtp9


bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
andre
Utente junior
Utente junior
Posts: 39
Joined: 5 November 2011, 15:49
OpenMandriva: 2010.2 (2010.3)
Kernel: 3.2.20-nrj-desktop-1
Desktop: kde4.8.4
country: France

Re: Problem with mib-64-basic repo (2011)

Post by andre »

NicCo wrote:you can try to stop installation of some rpm file, simply putting its name into skip.list

/etc/urpmi/skip.list
That's generaly what I do.
NicCo wrote: fo example adding

vlc-plugin-common


saving, so the two libs should not require vlc-plugin-common, at least, I hope
So all vlc-1.1.3 is removed...
NicCo wrote: or adding to skip.list the two libs, with their names

libmtp-utils
lib64mtp9

bye, NicCo
This is the only working solution (with inactivate backport of course)

Thank you, André
Ne lâchez rien.

André

User avatar
NicCo
Amministratore
Amministratore
Posts: 4738
Joined: 6 December 2007, 19:54

Re: Problem with mib-64-basic repo (2011)

Post by NicCo »

As I promised,
I removed the old vlc 1.1.2 from MIB /basic repository,

just now media_info lists are updating and syncing:
within a couple of hours there will be no more presence of vlc 1.1.2 neither in lists


bye, NicCo
.
--- Professional experience ---
Kernel designer, engineer, maintainer and tester for ROSA Desktop and OpenMandriva Lx O.S.

--- currently I'm playing with ---
LTS Kernels > Linux 4.1.12-nrjQL <<< Linux 3.18.17-nrjQL <<< Linux 3.14.46-nrjQL
EOL Kernels > Linux 3.19.8-nrjQL <<< Linux 3.17.8-nrjQL <<< Linux 3.15.10-nrjQL

User avatar
andre
Utente junior
Utente junior
Posts: 39
Joined: 5 November 2011, 15:49
OpenMandriva: 2010.2 (2010.3)
Kernel: 3.2.20-nrj-desktop-1
Desktop: kde4.8.4
country: France

Re: Problem with mib-64-basic repo (2011)

Post by andre »

NicCo wrote:As I promised,
I removed the old vlc 1.1.2 from MIB /basic repository,

just now media_info lists are updating and syncing:
within a couple of hours there will be no more presence of vlc 1.1.2 neither in lists


bye, NicCo

Thank you

Curious dependencies on these two updated libs (libmtp-utils and lib64mtp9) : once vlc 1.1.2 is removed, update uninstall all vlc-1.1.3 more amarok, clementine, rythmbox and plasma-applet-playwolf.
Then i can reinstall those packages without conflict.

It is not the first time I note this strange comportement of urpmi for resolving conflicts manually : you have to accept some uninstallations and then you can reinstall them.

That's all folk's

8-)

André.
Ne lâchez rien.

André

Post Reply